# clean the outputs of the previous verification runs
rm __summaries __omega

# case 1. two identical programs (with syntactic sugar)

# preprocess the original file (take a *.c source file, generate a goto-binary and store it in examples/ident)
./goto-cc examples/ident/ident_orig.c -o examples/ident/ident_orig.out

# check correctness of the original program:
#  "--init-upgrade-check" is required parameter to be able to run upgrade check later
#  "--unwind <N>" is optional (number of unrollings of every loop), the user can change the value of N
./evolcheck --init-upgrade-check --unwind 10 examples/ident/ident_orig.out

# preprocess the upgraded file
./goto-cc examples/ident/ident_upgr.c -o examples/ident/ident_upgr.out

# check correctness of the upgraded program:
#  "--do-upgrade-check" is required parameter to specify the upgraded goto-binary
#  "--unwind <N>" must be the same as for the original check

./evolcheck --do-upgrade-check examples/ident/ident_upgr.out --unwind 10 examples/ident/ident_orig.out

# clean the outputs of the verification run
rm __summaries __omega

# see other examples below

# case 2. the change is valid, and it requiers to perform a local check
./goto-cc examples/valid/change_valid_orig.c -o examples/valid/change_valid_orig.out
./goto-cc examples/valid/change_valid_upgr.c -o examples/valid/change_valid_upgr.out

./evolcheck --init-upgrade-check --unwind 10 examples/valid/change_valid_orig.out
./evolcheck --do-upgrade-check examples/valid/change_valid_upgr.out --unwind 10 examples/valid/change_valid_orig.out

rm __summaries __omega

# case 3. the change is  not valid, it requiers refinement up to the main function, which finally fails.
./goto-cc examples/not_valid/change_not_valid_1_orig.c -o examples/not_valid/change_not_valid_1_orig./out
./goto-cc examples/not_valid/change_not_valid_1_upgr.c -o examples/not_valid/change_not_valid_1_upgr./out

./evolcheck --init-upgrade-check --unwind 10 examples/not_valid/change_not_valid_1_orig.out
./evolcheck --do-upgrade-check examples/not_valid/change_not_valid_1_upgr.out --unwind 10 examples/not_valid/change_not_valid_1_orig.out

rm __summaries __omega
